# README

## Rocky Linux 9 generic ARM64/Aarch64 images

### Extracting the image

You probably downloaded the `Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst` file and are wondering how to extract. Run the following command:

```bash
zst --decompress Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst
```

### Flashing the image

```bash
# flash the extracted image
dd if=Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw of=<device> bs=4M conv=sync status=progress

# flash without extracting the '.zst' file
zstdcat Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst | dd bs=4M conv=sync status=progress of=<device>
```

### SSH

SSH is enabled on port `22`. Logging-in as **`root` is disabled**, but you can login as user `rocky`.

### User credentials

```
username: rocky
password: rockylinux (you will be forced to change this)
```

```
username: root
password: <disabled>
```

### Expanding the rootfs

`sudo /usr/local/bin/expand-rootfs.sh`

## PSA for non-Rocky folks

There are two repositories that are maintained by Rocky Linux. One repository provides packages that are specific to SIG/AltArch for SBC enablement. Another repository is basically ELRepo + some Rocky stuff. Depending on your needs, this may or may not be a good thing. Please act accordingly.

## Notes for executing the script

Firstly, the prerequisite for running all the commands in the `create-image.sh` script can be installed with the following command:

```bash
# enable EPEL first, because `appliance-tools` is from EPEL
dnf install appliance-tools perl-Digest-SHA zstd
```

## OTHER

**Kickstart syntax reference**: https://docs.fedoraproject.org/en-US/fedora/f36/install-guide/appendixes/Kickstart_Syntax_Reference/
